<%@ page import="sms.*,java.text.*,java.util.*" %>

<%
	/**
	* This handler is called from the Gateway whenever a
	* status report is received.
	*
	* We will have the following parameters in the request:
	*
	* id			The message identifier
	* type	The type of report
	* event	The event-time as reported by SMSC (yyyy-mm-dd hh:mm:ss).
	* smsc 	The time on SMSC when orginal message was sent (yyyy-mm-dd hh:mm:ss).
	* local		The local system time (yyyy-mm-dd hh:mm:ss).
	*
	* The timestamps from the SMSC are not present in all reports, and
	* for simplicity we will always use the localtime which is present in all
	* reports.
	*
	* If it were critical that the event-time should be as accurate as possible we
	* would use the event-time (event) as reported by the SMSC. This timestamp
	* is the most accurate since it does not involve the time it takes for the SMSC
	* to deliver the status report to the gateway.
	*
	*
	* Set the REPORT-URL property of the Http Recive Adaptor to point to
	* this page.
	*/
	
	// Lets extract all parameters we are interested in
	String mid = request.getParameter("id");
	int type = Integer.parseInt(request.getParameter("type"));
	
	String tmp = request.getParameter("local");
	
	// And lets convert the string to a date
	SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
	
	Date local = sdf.parse(tmp);
	
	// Deliver the message to the SmsOffice
	SmsOffice.getInstance().incomingReport(mid,type,local);
%>
